From 465197f21ed8e82bc8045bbce6a7ab56aa305ada Mon Sep 17 00:00:00 2001
From: reshke kirill <reshke@double.cloud>
Date: Fri, 2 Aug 2024 08:23:10 +0000
Subject: [PATCH v1] Rename vacuum_open_relation argument to lockmode.

---
 src/backend/commands/vacuum.c | 6 +++---
 src/include/commands/vacuum.h | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/backend/commands/vacuum.c b/src/backend/commands/vacuum.c
index 48f8eab202..2b000d944c 100644
--- a/src/backend/commands/vacuum.c
+++ b/src/backend/commands/vacuum.c
@@ -756,7 +756,7 @@ vacuum_is_permitted_for_relation(Oid relid, Form_pg_class reltuple,
  */
 Relation
 vacuum_open_relation(Oid relid, RangeVar *relation, bits32 options,
-					 bool verbose, LOCKMODE lmode)
+					 bool verbose, LOCKMODE lockmode)
 {
 	Relation	rel;
 	bool		rel_lock = true;
@@ -774,8 +774,8 @@ vacuum_open_relation(Oid relid, RangeVar *relation, bits32 options,
 	 * in non-blocking mode, before calling try_relation_open().
 	 */
 	if (!(options & VACOPT_SKIP_LOCKED))
-		rel = try_relation_open(relid, lmode);
-	else if (ConditionalLockRelationOid(relid, lmode))
+		rel = try_relation_open(relid, lockmode);
+	else if (ConditionalLockRelationOid(relid, lockmode))
 		rel = try_relation_open(relid, NoLock);
 	else
 	{
diff --git a/src/include/commands/vacuum.h b/src/include/commands/vacuum.h
index 759f9a87d3..328f2b1223 100644
--- a/src/include/commands/vacuum.h
+++ b/src/include/commands/vacuum.h
@@ -344,7 +344,7 @@ extern bool vacuum_is_permitted_for_relation(Oid relid, Form_pg_class reltuple,
 											 bits32 options);
 extern Relation vacuum_open_relation(Oid relid, RangeVar *relation,
 									 bits32 options, bool verbose,
-									 LOCKMODE lmode);
+									 LOCKMODE lockmode);
 extern IndexBulkDeleteResult *vac_bulkdel_one_index(IndexVacuumInfo *ivinfo,
 													IndexBulkDeleteResult *istat,
 													TidStore *dead_items,
-- 
2.34.1

